package net;
import java.io.Serializable;
import java.net.InetAddress;



public class ConnectionInfo implements Serializable{

	private static final long serialVersionUID = -1928417612902107760L;
	private int idDestino;
	private InetAddress ip;
	private int portaDestino;
	
	public ConnectionInfo(int idDestino, InetAddress ip, int portaDestino){
		this.idDestino = idDestino;
		this.ip = ip;
		this.portaDestino = portaDestino;	
	}
	public int  getIdDestino(){
		return idDestino;
	}
	public InetAddress getIp(){
		return ip;
	}
	public int getPortaDestino(){
		return portaDestino;
	}
	public void setId(int id){
		this.idDestino = id;
	}
	@Override
	public String toString(){
		String retorno = ip.getHostAddress();
		retorno += ":";
		retorno += portaDestino;
		
		return retorno;
	}
	@Override
	public boolean equals(Object o){
	
		boolean retorno = false;
		if(o instanceof ConnectionInfo){
			if(((ConnectionInfo)o).getIp().equals(this.ip)){
				retorno = true;
			}
		}
		return retorno;
	}
}
